require 'redis'

module RedisConnection
  def self.connect(env)
    redis_config = YAML.load_file(File.join(Rails.root, "config", "redis.yml"))[env]
    raise 'RedisConnection can not connect because it is not configured' if redis_config.nil?

    $redis = Redis.new(:host => redis_config['host'], :port => redis_config['port'])
  end
end

RedisConnection.connect(Rails.env)
